```
... all (the default if no target is provided)
... clean
... depend
... edit_cache
... install
... install/local
... install/strip
... list_install_components
... rebuild_cache
... test
... Continuous
... ContinuousBuild
... ContinuousConfigure
... ContinuousCoverage
... ContinuousMemCheck
... ContinuousStart
... ContinuousSubmit
... ContinuousTest
... ContinuousUpdate
... Experimental
... ExperimentalBuild
... ExperimentalConfigure
... ExperimentalCoverage
... ExperimentalMemCheck
... ExperimentalStart
... ExperimentalSubmit
... ExperimentalTest
... ExperimentalUpdate
... Nightly
... NightlyBuild
... NightlyConfigure
... NightlyCoverage
... NightlyMemCheck
... NightlyMemoryCheck
... NightlyStart
... NightlySubmit
... NightlyTest
... NightlyUpdate
... OUTPUT
... build_BackupRestore_tests
... build_ParallelIndexSetTest_tests
... build_quick_tests
... build_tests
... clean_latex
... doc
... doxygen_install
... examples
... headercheck
... install_python
... test_python
... AdaptInfoTest
... AdaptiveGridTest
... BackupRestoreTest_0
... BackupRestoreTest_1
... BackupRestoreTest_2
... BackupRestoreTest_3
... BackupRestoreTest_4
... BackupRestoreTest_5
... BackupRestoreTest_6
... BackupRestoreTest_7
... ConceptsTest
... DOFMappingTest
... DOFVectorTest
... DataTransferTest2d
... DataTransferTest3d
... DiscreteFunctionTest
... ExpressionsTest
... FakeContainerTest
... FieldMatVecTest
... FilesystemTest
... FiniteElementTypeTest
... FlatMatVecTest
... FlatPreBasisTest
... GlobalIdSetTest
... GradientTest
... ISTLCommTest
... IntegrateTest
... MarkerTest
... MpiWrapperTest
... NodeIndicesTest
... ObserverTest
... OperationsTest
... OperatorsTest
... ParallelIndexSetTest_0
... ParallelIndexSetTest_1
... ParallelIndexSetTest_2
... ParallelIndexSetTest_3
... ParallelIndexSetTest_4
... ParallelIndexSetTest_5
... ParallelIndexSetTest_6
... ProblemStatTest
... RangeTypeTest
... RecursiveTest
... StaticSizeTest
... StringTest
... SwitchCasesTest
... TreeContainerTest
... TreePathTest
... UniqueBorderPartitionTest
... ValidTreePathTest
... amdis
... boundary.2d
... convection_diffusion.2d
... ellipt.2d
... ellipt.3d
... fmt
... heat.2d
... heat.3d
... navier_stokes.2d
... neumann
... periodic.2d
... stokes0.2d
... stokes1.2d
... stokes3.2d
... traversal
... treecontainer
... vecellipt.2d
... amdis/AdaptInfo.o
... amdis/AdaptInfo.i
... amdis/AdaptInfo.s
... amdis/AdaptInstationary.o
... amdis/AdaptInstationary.i
... amdis/AdaptInstationary.s
... amdis/AdaptStationary.o
... amdis/AdaptStationary.i
... amdis/AdaptStationary.s
... amdis/Environment.o
... amdis/Environment.i
... amdis/Environment.s
... amdis/Initfile.o
... amdis/Initfile.i
... amdis/Initfile.s
... amdis/InitfileParser.o
... amdis/InitfileParser.i
... amdis/InitfileParser.s
... amdis/ProblemInstat.o
... amdis/ProblemInstat.i
... amdis/ProblemInstat.s
... amdis/ProblemInstatBase.o
... amdis/ProblemInstatBase.i
... amdis/ProblemInstatBase.s
... amdis/ProblemStat.o
... amdis/ProblemStat.i
... amdis/ProblemStat.s
... amdis/StandardProblemIteration.o
... amdis/StandardProblemIteration.i
... amdis/StandardProblemIteration.s
... amdis/common/Filesystem.o
... amdis/common/Filesystem.i
... amdis/common/Filesystem.s
... amdis/common/String.o
... amdis/common/String.i
... amdis/common/String.s
... amdis/io/FileWriterBase.o
... amdis/io/FileWriterBase.i
... amdis/io/FileWriterBase.s
... amdis/linearalgebra/istl/Preconditioners.o
... amdis/linearalgebra/istl/Preconditioners.i
... amdis/linearalgebra/istl/Preconditioners.s
... amdis/linearalgebra/istl/Solvers.o
... amdis/linearalgebra/istl/Solvers.i
... amdis/linearalgebra/istl/Solvers.s
... amdis/linearalgebra/istl/precompiled/Preconditioners.o
... amdis/linearalgebra/istl/precompiled/Preconditioners.i
... amdis/linearalgebra/istl/precompiled/Preconditioners.s
... amdis/linearalgebra/istl/precompiled/Solvers.o
... amdis/linearalgebra/istl/precompiled/Solvers.i
... amdis/linearalgebra/istl/precompiled/Solvers.s
```

```
-DBACKEND=PETSC
-DBACKEND=EIGEN
-DBACKEND=MTL
```
